axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dr. Exner" <ex...@fh-flensburg.de>
Subject "major.minor version '49.0' is too recent..." - where did I take the wrong version of what?
Date Mon, 27 Feb 2006 11:38:25 GMT
My axis-j 1.3 installation with stand alone tomcat 5.5.15 and JRE 1.5.0_06 does not work:

According to the instructions I copied activation.jar from jaf-1_0_2-upd2.zip, mailapi.jar
from javamail-1_3_3_01.zip and xmlsec-1.3.0.jar into the ..\Tomcat 5.5\shared\lib. Checking
the axis "validation" link I got the "happy axis" page, but selecting the "call" link I get
errors like:

"Invalid class file format in C:\Programme\Java\jre1.5.0_06\lib\rt.jar(java/util/Enumeration.class).
 
The major.minor version '49.0' is too recent for this tool to understand." 
(details see below)

Moving back to JRE 1.4.2_10 even worse the whole axis startpage did not work any longer and
I got much more "major.minor version '49.0' is too recent" errors. Auto-updating the JRE back
to 1.5.0_6 (b05) the axis startpage still does not work anymore.

==> So where did I take the wrong version of what? <==


--------------------- error message with initial installation using jre1.5.0_06: --------------------------------------------
More details on the error message:

- Exception:
AxisFault
 faultCode: {http://xml.apache.org/axis/}Server.compileError
 faultSubcode: 
 faultString: Error while compiling:  C:\Programme\Apache\Tomcat 5.5\webapps\axis\WEB-INF\jwsClasses\EchoHeaders.java
 faultActor: 
 faultNode: 
 faultDetail: 
 {}Errors:Error compiling C:\Programme\Apache\Tomcat 5.5\webapps\axis\WEB-INF\jwsClasses\EchoHeaders.java:
Line 0, column 0: could not parse error message:  Note: sun.tools.javac.Main has been deprecated.
error: Invalid class file format in C:\Programme\Java\jre1.5.0_06\lib\rt.jar(java/util/Enumeration.class).
 The major.minor version '49.0' is too recent for this tool to understand.
C:\Programme\Apache\Tomcat 5.5\webapps\axis\WEB-INF\jwsClasses\EchoHeaders.java:22: Class
java.util.Enumeration not found in import.

Line 0, column 0: could not parse error message:  import java.util.Enumeration;
       ^
error: Invalid class file format in C:\Programme\Java\jre1.5.0_06\lib\rt.jar(java/util/ArrayList.class).
 The major.minor version '49.0' is too recent for this tool to understand.

Line 23, column 7: Class java.util.ArrayList not found in import.
Line 0, column 0: could not parse error message:  error: Invalid class file format in C:\Programme\Java\jre1.5.0_06\lib\rt.jar(java/util/Iterator.class).
 The major.minor version '49.0' is too recent for this tool to understand.
C:\Programme\Apache\Tomcat 5.5\webapps\axis\WEB-INF\jwsClasses\EchoHeaders.java:24: Class
java.util.Iterator not found in import.
import java.util.Iterator;

Line 0, column 0: could not parse error message:         ^
error: Invalid class file format in C:\Programme\Java\jre1.5.0_06\lib\rt.jar(java/lang/Object.class).
 The major.minor version '49.0' is too recent for this tool to understand.
C:\Programme\Apache\Tomcat 5.5\webapps\axis\WEB-INF\jwsClasses\EchoHeaders.java:29: Superclass
java.lang.Object of class EchoHeaders not found.

Line 0, column 0: no more tokens - could not parse error message:  public class EchoHeaders
{
             ^
8 errors, 1 warning



 
Mime
View raw message